[PATCH] basedir cleanup

Use a com_basedir in NQ, as in QW.

diff -urN b/NQ/common.c head/NQ/common.c
--- b/NQ/common.c	2004-08-11 22:35:12.000000000 +0930
+++ head/NQ/common.c	2005-12-28 12:21:43.000000000 +1030
@@ -1103,6 +1103,7 @@
 
 char com_cachedir[MAX_OSPATH];
 char com_gamedir[MAX_OSPATH];
+char com_basedir[MAX_OSPATH];
 
 typedef struct searchpath_s {
     char filename[MAX_OSPATH];
@@ -1596,7 +1597,6 @@
 COM_InitFilesystem(void)
 {
     int i, j;
-    char basedir[MAX_OSPATH];
     searchpath_t *search;
 
 //
@@ -1605,15 +1605,15 @@
 //
     i = COM_CheckParm("-basedir");
     if (i && i < com_argc - 1)
-	strcpy(basedir, com_argv[i + 1]);
+	strcpy(com_basedir, com_argv[i + 1]);
     else
-	strcpy(basedir, host_parms.basedir);
+	strcpy(com_basedir, host_parms.basedir);
 
-    j = strlen(basedir);
+    j = strlen(com_basedir);
 
     if (j > 0) {
-	if ((basedir[j - 1] == '\\') || (basedir[j - 1] == '/'))
-	    basedir[j - 1] = 0;
+	if ((com_basedir[j - 1] == '\\') || (com_basedir[j - 1] == '/'))
+	    com_basedir[j - 1] = 0;
     }
 //
 // -cachedir <path>
@@ -1634,12 +1634,12 @@
 //
 // start up with GAMENAME by default (id1)
 //
-    COM_AddGameDirectory(va("%s/" GAMENAME, basedir));
+    COM_AddGameDirectory(va("%s/" GAMENAME, com_basedir));
 
     if (COM_CheckParm("-rogue"))
-	COM_AddGameDirectory(va("%s/rogue", basedir));
+	COM_AddGameDirectory(va("%s/rogue", com_basedir));
     if (COM_CheckParm("-hipnotic"))
-	COM_AddGameDirectory(va("%s/hipnotic", basedir));
+	COM_AddGameDirectory(va("%s/hipnotic", com_basedir));
 
 //
 // -game <gamedir>
@@ -1648,7 +1648,7 @@
     i = COM_CheckParm("-game");
     if (i && i < com_argc - 1) {
 	com_modified = true;
-	COM_AddGameDirectory(va("%s/%s", basedir, com_argv[i + 1]));
+	COM_AddGameDirectory(va("%s/%s", com_basedir, com_argv[i + 1]));
     }
 //
 // -path <dir or packfile> [<dir or packfile>] ...
diff -urN b/NQ/common.h head/NQ/common.h
--- b/NQ/common.h	2004-07-25 15:59:53.000000000 +0930
+++ head/NQ/common.h	2005-12-28 11:42:45.000000000 +1030
@@ -152,6 +152,7 @@
 extern int com_filesize;
 struct cache_user_s;
 
+extern char com_basedir[MAX_OSPATH];
 extern char com_gamedir[MAX_OSPATH];
 
 void COM_WriteFile(const char *filename, const void *data, int len);
diff -urN b/QW/client/common.h head/QW/client/common.h
--- b/QW/client/common.h	2004-07-25 15:59:56.000000000 +0930
+++ head/QW/client/common.h	2005-12-28 11:42:56.000000000 +1030
@@ -168,6 +168,7 @@
 extern int com_filesize;
 struct cache_user_s;
 
+extern char com_basedir[MAX_OSPATH];
 extern char com_gamedir[MAX_OSPATH];
 
 void COM_WriteFile(const char *filename, const void *data, int len);
